package commons.security.filter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.springframework.security.Authentication;
import org.springframework.security.ui.logout.LogoutHandler;

public class BibliotekaLogoutFilter implements LogoutHandler
{

  @Override
  public void logout(HttpServletRequest arg0, HttpServletResponse arg1, Authentication arg2)
  {

    HttpSession session = arg0.getSession(false);
    if (session != null)
    {
      session.invalidate();
    }

  }

}
