package dao.commons.criteria;

import org.hibernate.Criteria;
import org.hibernate.criterion.Restrictions;

public class IntCriterion extends AbstractCriterion
{
  private static final long serialVersionUID = 5747345219889264025L;
  
  private int value;

  public IntCriterion(String path, String label, int value)
  {
    super(path, label);
    setValue(value);
  }

  public int getValue() {
	return value;
}

public void setValue(int value) {
	this.value = value;
}

public static long getSerialversionuid() {
	return serialVersionUID;
}

@Override
  public void prepareCriteria(Criteria criteria)
  {
      criteria.add(Restrictions.eq(getProperty(), value));
  }



}
