package domain.commons;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

import javax.swing.text.html.Option;

import dao.commons.criteria.Criterion;



public class Preselection {

	  protected Class                   entityClass;
	  
	  Option option;
	  
	  protected List<Criterion>         criteriaList          = new ArrayList<Criterion>();

	  protected Set<Integer>            selectedIdSet         = new HashSet<Integer>();
	  protected int                     currentRow            = -1;
	  protected int                     rowCount              = 0;
	  protected int                     currentPage           = 0;
	  protected int                     pageSize              = 50;
	  protected String                  sortProperty;
	  protected int                     sortProjectionIndex   = -1;
	  protected boolean                 sortAscending         = true;
	  protected boolean                 active                = false;

	  protected String                  tableName = "list";
	  
	  protected String                  rowInputName = "id";
	  
	  
	  private String szukanyWyraz;
	  
	  public Preselection(Class entityClass)
	  {
	    setEntityClass(entityClass);
	  }

	  public void reset()
	  {
	    active = false;
	    selectedIdSet.clear();
	    currentRow = -1;
	    rowCount = 0;
	    currentPage = 0;
	  }
	  
	  public boolean isActive()
	  {
	    return active;
	  }

	  public void setActive(boolean active)
	  {
	    this.active = active;
	  }

	  public int getCurrentRow()
	  {
	    return currentRow;
	  }

	  public void setCurrentRow(int currentRow)
	  {
	    this.currentRow = currentRow;
	  }

	  public int getRowCount()
	  {
	    return rowCount;
	  }

	  public void setRowCount(int rowCount)
	  {
	    this.rowCount = rowCount;
	  }

	  public int getCurrentPage()
	  {
	    return currentPage;
	  }

	  public void setCurrentPage(int currentPage)
	  {
	    this.currentPage = currentPage;
	  }

	  public int getPageSize()
	  {
	    return pageSize;
	  }

	  public void setPageSize(int pageSize)
	  {
	    this.pageSize = pageSize;
	  }

	  public String getSortProperty()
	  {
	   // if (sortProjectionIndex >= 0 && sortProjectionIndex < projectionList.size()) {
	   //   return projectionList.get(sortProjectionIndex).getSortProperty();
	   // }
	   // else {
	      return sortProperty;
	  //  }
	  }

	  public void setSortProperty(String sortProperty)
	  {
	    this.sortProperty = sortProperty;
	  }

	  public int getSortProjectionIndex()
	  {
	    return sortProjectionIndex;
	  }

	  public void setSortProjectionIndex(int sortProjectionIndex)
	  {
	    this.sortProjectionIndex = sortProjectionIndex;
	  }

	  public boolean isSortAscending()
	  {
	    return sortAscending;
	  }

	  public void setSortAscending(boolean sortAscending)
	  {
	    this.sortAscending = sortAscending;
	  }

	  public Class getEntityClass()
	  {
	    return entityClass;
	  }

	  public void setEntityClass(Class entityClass)
	  {
	    this.entityClass = entityClass;
	  }

	  public Set<Integer> getSelectedIdSet()
	  {
	    return selectedIdSet;
	  }

	  public void setSelectedIdSet(Set<Integer> selectedIdSet)
	  {
	    this.selectedIdSet = selectedIdSet;
	  }

	  public String getTableName()
	  {
	    return tableName;
	  }

	  public void setTableName(String tableName)
	  {
	    this.tableName = tableName;
	  }

	  public String getRowInputName()
	  {
	    return rowInputName;
	  }

	  public void setRowInputName(String rowInputName)
	  {
	    this.rowInputName = rowInputName;
	  }

	public List<Criterion> getCriteriaList() {
		return criteriaList;
	}

	public void setCriteriaList(List<Criterion> criteriaList) {
		this.criteriaList = criteriaList;
	}

	public Option getOption() {
		return option;
	}

	public void setOption(Option option) {
		this.option = option;
	}

	public String getSzukanyWyraz() {
		return szukanyWyraz;
	}

	public void setSzukanyWyraz(String szukanyWyraz) {
		this.szukanyWyraz = szukanyWyraz;
	}







}