package service;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import dao.AutorDAO;
import dao.commons.criteria.Criterion;
import domain.Autor;

@Transactional
@Service("autorService")
public class AutorServiceImpl implements AutorService {
	
	@Autowired
	private AutorDAO autorDAO;
	
	protected final Log logger = LogFactory.getLog(getClass());

	@Override
	public List<Autor> findByFirstLetter(List<Criterion> criteriaList) {

		return autorDAO.findByFirstLetter(criteriaList);
	}
	
	
}
