package service;

import java.util.List;

import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import domain.Slownik;
import domain.Uzytkownik;
import domain.commons.Preselection;

@Transactional(propagation = Propagation.REQUIRED)
public interface SlownikService 
{
	public List<Slownik> findByCriteria(Preselection preselection);
	
	public Slownik get(int id);
	
	public void zapiszSlownik(Slownik slownik);
	 	  
	public List<Slownik> findByCriteria(Preselection preselection,boolean ograniczenie);

	List<Slownik> loadAll();
	
}