package tags;

import java.io.IOException;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.TagSupport;

public class ActionTag extends TagSupport {

	/**
   * 
   */
	  private static final long serialVersionUID = 5532334041601221769L;
	  
		private String name;
		private String value;
		private String number;
		private String numberChecked;
			
		@Override
		public int doEndTag() throws JspException {
			return EVAL_PAGE;
		}

		@Override
		public int doStartTag() throws JspException {
			JspWriter out = pageContext.getOut();
			try {
				out.print("<input type=\"radio\" name=\"");
				out.print(name);
				out.print("\" value =\"");
				out.print(value);
				out.print("\" ");
				
				if (getNumberChecked()!=null && getNumberChecked().equals(this.getNumber()))
				{
				 out.println("checked = \"checked\" ");	
				}
				
				out.println(" />");
			}
			catch ( IOException e ) {
				throw new JspException( e );
			}
			return SKIP_BODY;
		}

		public String getName() {
			return name;
		}

		public void setName(String name) {
			this.name = name;
		}

		public String getValue() {
			return value;
		}

		public void setValue(String value) {
			this.value = value;
		}

		public String getNumberChecked() {
			return numberChecked;
		}

		public void setNumberChecked(String numberChecked) {
			this.numberChecked = numberChecked;
			//if (this.numberChecked.equals("0")) this.numberChecked="1";
		}

		public String getNumber() {
			return number;
		}

		public void setNumber(String number) {
			this.number = number;
		}

	
	
}
