package baza;

import java.io.FileInputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import domain.Slownik;

public class Regresja {

	public static double wspolczynnikAASI(Integer[] wektorX, Integer[] wektorY)
	{
		int sumaX = 0;
		int sumaY = 0;
		int sumaX2 = 0;
		int sumaXY = 0;
		
		if (wektorX == null || wektorY == null || wektorX.length != wektorY.length) return -1;
		
		for (int i = 0 ; i < wektorX.length ; ++ i)
		{
			sumaX += wektorX[i];
			sumaY += wektorY[i];
			sumaX2 += wektorX[i] * wektorX[i];
			sumaXY += wektorX[i] * wektorY[i];
		}
		return 1.0 - (((double)(sumaXY - sumaX*sumaY)) / ((double)(sumaX2 - sumaX*sumaX)));
	}
	
	public static void main(String[] args) {

		Integer[] diastole = {62,62,60,60,62,64,62,64,61,67,68,71,63,56,53,56,54,55,53,56,60,54,61,56,57,59,63,70,57,61,62,65,63,53,55,
				61,61,63,61,59,66,54,61,63,60,59,56,56,62,45,38,42,45,44,39,40,42,38,40,42,39,36,58,41,54,55,66,61,68,59,58,56};  
		Integer[] systole = {131,152,147,147,111,147,139,133,120,137,129,157,135,131,114,127,132,127,125,136,130,128,120,118,118,127,141,154,136,143,163,128,143,124,121,133,132,129,126,143,149,142,132,
				145,125,135,132,124,129,122,108,106,106,103,107,101,106,105,105,97,96,98,130,111,121,123,132,139,151,116,141,143};
		
		try
		{
		FileInputStream Czytanie = new FileInputStream("C:\\!!sorpo\\workspace\\biblioteka\\test\\baza\\test.PB0");
		int bajt = 0;
		
		int numer = 0;
		
		int start = 1677;
		int dlugoscRekordu = 108;
		int aktualnyRekord = 0;

		while((bajt = Czytanie.read()) != -1)
		{
			++numer;
			
			if (((numer - start) % dlugoscRekordu) == 0 && (bajt == (aktualnyRekord+1)))
			{
				for (int k = 0 ; k < 27; ++k) 
				System.out.println((numer-1677) + ": " + (char)bajt + " <-> " + bajt);
				++aktualnyRekord;
			}
		}
			
		}
		catch(IOException ex)
		{
		System.out.println("Blad w odczycie pliku!!!" + ex);
		} 	
		
		System.out.println("wynik: " + wspolczynnikAASI(systole,diastole));
				
	}
	
	
	
	
	

}
