<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/jsp/common/includes.jsp"%>

	<spring:nestedPath path="ksiazka">

	<form:label path="tytul">Tytuł: </form:label>
	<form:input path="tytul"  maxlength="200" cssStyle="width:600px;"/>
	<form:errors path="tytul" />
	<br>
	
	<form:label path="isbn">ISBN: </form:label>
	<form:input path="isbn"  maxlength="200" cssStyle="width:600px;"/>
	<form:errors path="isbn" />
	<br>
	
	<form:label path="rokWydania">Rok wydania: </form:label>
	<form:input path="rokWydania"  maxlength="200" cssStyle="width:600px;"/>
	<form:errors path="rokWydania" />
	<br>

	<form:label path="dzial">Dział:</form:label>
	<form:select path="dzial">
	<form:option value="-1">-</form:option>
	<form:options itemLabel="nazwa" itemValue="id" items="${dzialList}"  />
	</form:select>
	<form:errors path="dzial" />
	<br>
	
	<form:label path="wydawnictwo">Wydawnictwo:</form:label>
	<form:select path="wydawnictwo">
	<form:option value="-1">-</form:option>
	<form:options itemLabel="nazwa" itemValue="id" items="${wydawnictwoList}"  />
	</form:select>
	<form:errors path="wydawnictwo" />
	<br>

	<form:label path="opis">Opis: </form:label>
	<form:textarea path="opis" rows="4" cols="40"/>
	<form:errors path="opis" />
	<br>

	<c:if test="${not empty ksiazkaCommand.ksiazka.plik}">

	<br>
 	<a href="<c:url value="plik.html?ksiazkaId=${ksiazkaCommand.ksiazka.id}"/>" target="_blank">Pobierz plik</a>

	</c:if>

	<c:if test="${empty ksiazkaCommand.ksiazka.plik}">

	<br>
 	<h1>Brak pliku</h1>

	</c:if>
	
	<br>
   	<label>Zapisz plik wzoru:</label>
    <input id="plik" name="plik" type="file">
  	<br>


	</spring:nestedPath>
