<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/jsp/common/includes.jsp"%>

<%@ page import="org.springframework.security.ui.AbstractProcessingFilter"%>
<%@ page import="org.springframework.security.*"%>
<%@ page import="org.springframework.security.concurrent.ConcurrentLoginException"%>

<authz:authorize ifNotGranted="Authenticated_User">

	<br/>
	
	<%if (session.getAttribute(AbstractProcessingFilter.SPRING_SECURITY_LAST_EXCEPTION_KEY) instanceof BadCredentialsException) {%>
	<center><big><span class="error_field">Podana nazwa użytkownika lub hasło są nieprawidłowe</span></big></center>
	<%} else if (session.getAttribute(AbstractProcessingFilter.SPRING_SECURITY_LAST_EXCEPTION_KEY) instanceof DisabledException) { %>
	<center><big><span class="error_field">Konto jest zablokowanie</span></big></center>
	<%} else if (session.getAttribute(AbstractProcessingFilter.SPRING_SECURITY_LAST_EXCEPTION_KEY) instanceof LockedException) { %>
	<center><big><span class="error_field">Konto jest zablokowanie</span></big></center>
	<%} else if (session.getAttribute(AbstractProcessingFilter.SPRING_SECURITY_LAST_EXCEPTION_KEY) instanceof AccountExpiredException) { %>
	<center><big><span class="error_field">Ważność konta wygasła</span></big></center>
	<%} else if (session.getAttribute(AbstractProcessingFilter.SPRING_SECURITY_LAST_EXCEPTION_KEY) instanceof ConcurrentLoginException) { %>
	<center><big><span class="error_field">Nie można zalogować się do więcej niż jednej sesji</span></big></center>
	<%}%>
	
	<br/>


	<form action="<c:url value="/_login"/>" method="post">

		<center> 
		<table cellpadding="0" cellspacing="0">
		<tr>
			<td width="150px" align="left"><label for="_username">Użytkownik</label></td>
			<td><input name="_username" type="text" style="width: 200px;"/></td>
		</tr>
		<tr>
			<td width="150px" align="left"><label for="_password">Hasło</label></td>
			<td><input name="_password" type="password" style="width: 200px;"/></td>
		</tr>
		<tr>
			<td colspan="2" align="right" style="padding-top: 20px"><button type="submit">Zaloguj</button></td>
		</tr>
		</table>
		</center>

	</form>

</authz:authorize>

<authz:authorize ifAllGranted="Authenticated_User">

Witaj w serwisie

</authz:authorize>
	
