<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/jsp/common/includes.jsp"%>

<form:form modelAttribute="uzytkownikCommand">

	<spring:nestedPath path="uzytkownik">

	<form:label path="imie">Imię: </form:label>
	<form:input path="imie"  maxlength="200" cssStyle="width:600px;"/>
	<form:errors path="imie" />
	<br>
	
	<form:label path="nazwisko">Nazwisko: </form:label>
	<form:input path="nazwisko"  maxlength="200" cssStyle="width:600px;"/>
	<form:errors path="nazwisko" />
	<br>
	
	<form:label path="login">Login: </form:label>
	<form:input path="login"  maxlength="200" cssStyle="width:600px;"/>
	<form:errors path="login" />
	<br>
	
	<form:label path="pesel">Pesel: </form:label>
	<form:input path="pesel"  maxlength="200" cssStyle="width:600px;"/>
	<form:errors path="pesel" />
	<br>
	
	<form:label path="adres.wojewodztwo">Województwo</form:label>
	<form:select path="adres.wojewodztwo">
	<form:option value="-1">-</form:option>
	<form:options itemLabel="nazwa" itemValue="id" items="${wojewodztwoList}"  />
	</form:select>
	<form:errors path="adres.wojewodztwo" />
	<br>
		
	<form:label path="adres.miejscowosc">Miejscowość: </form:label>
	<form:input path="adres.miejscowosc"  maxlength="200" cssStyle="width:600px;"/>
	<form:errors path="adres.miejscowosc" />
	<br>
	
	<form:label path="adres.ulica">Ulica: </form:label>
	<form:input path="adres.ulica"  maxlength="200" cssStyle="width:600px;"/>
	<form:errors path="adres.ulica" />
	<br>
	
	<form:label path="adres.numerMieszkania">Numer mieszkania: </form:label>
	<form:input path="adres.numerMieszkania"  maxlength="200" cssStyle="width:600px;"/>
	<form:errors path="adres.numerMieszkania" />
	<br>
	
	<form:label path="adres.numerLokalu">Numer lokalu: </form:label>
	<form:input path="adres.numerLokalu"  maxlength="200" cssStyle="width:600px;"/>
	<form:errors path="adres.numerLokalu" />
	<br>
	
	<form:label path="adres.kodPocztowy">Kod pocztowy: </form:label>
	<form:input path="adres.kodPocztowy"  maxlength="200" cssStyle="width:600px;"/>
	<form:errors path="adres.kodPocztowy" />
	<br>
	
	<form:label path="aktywny">Aktywny: </form:label>
	<form:checkbox path="aktywny"/>
	<form:errors path="aktywny" />
	<br>
	
	</spring:nestedPath>

<display:table id="obiekt" list="${uzytkownikCommand.uzytkownik.listaWypozyczen}">

<display:column>
<c:if test="${obiekt.dataZwrotu == null}">
<my:action name="row" number="${obiekt_rowNum}" value="${obiekt.ksiazka.id}" />
</c:if>
</display:column>

<display:column title="Ksiazka" property="ksiazka.tytul"/>
<display:column title="Data wypożyczenie" property="dataWypozyczenia"/>
<display:column title="Data zwrotu" property="dataZwrotu"/>
</display:table>

	<input type="submit" name="obsluga" value="Oddaj"/>
	<input type="submit" name="obsluga" value="Mail"/>
	<input type="submit" name="obsluga" value="Koniec"/>
	<input type="submit" name="obsluga" value="Zapisz"/>

</form:form>