package commons.servlet.handler;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.handler.SimpleMappingExceptionResolver;

public class BibliotekaMappingExceptionResolver extends SimpleMappingExceptionResolver
{
  protected final Logger logger = Logger.getLogger(getClass());

  @Override
  public ModelAndView resolveException(HttpServletRequest request, HttpServletResponse response, Object handler, Exception ex)
  {
    request.getSession().setAttribute("ExceptionCode", ex.hashCode());

    return super.resolveException(request, response, handler, ex);

  }  
  
}
