package controller;

import org.springframework.web.multipart.MultipartFile;

import domain.Autor;
import domain.Ksiazka;


public class KsiazkaCommand {
	
	
	private String identyfikator;
	
	private Ksiazka ksiazka;
	
	private MultipartFile plik;
	
	private int page = 0;
	
	Autor autor = new Autor();

	private int autorIndex = -1;
	
	 public boolean isNewAutor()  
	 {
	    return autorIndex < 0; 
	 }

	public void zmienAutor()
	{
		if (isNewAutor()) 
		{
			ksiazka.getListaAutorow().add(autor);
		}
		else 
		{
			autor.copy(ksiazka.getListaAutorow().get(autorIndex));
		}
		
		autor = new Autor(); 
		autorIndex = -1;
	 }
	
	public void edytujAutor(int index)
	{
	   autorIndex = index;
	   autor = new Autor();
	   ksiazka.getListaAutorow().get(index).copy(autor);
	}
	
	public void usunAutor(int index)
	{
	      ksiazka.getListaAutorow().remove(index);
	      autorIndex = -1; 
	} 

	
	
	

	public Ksiazka getKsiazka() {
		return ksiazka;
	}

	public void setKsiazka(Ksiazka ksiazka) {
		this.ksiazka = ksiazka;
	}

	public int getPage() {
		return page;
	}

	public void setPage(int page) {
		this.page = page;
	}



	public void pageUp(int pageCount)
	{
		if (page<pageCount-1) ++page;
	}
	
	public void pageDown()
	{
		if (page>0) --page;
	}

	public Autor getAutor() {
		return autor;
	}

	public void setAutor(Autor autor) {
		this.autor = autor;
	}

	public int getAutorIndex() {
		return autorIndex;
	}

	public void setAutorIndex(int autorIndex) {
		this.autorIndex = autorIndex;
	}

	public MultipartFile getPlik() {
		return plik;
	}

	public void setPlik(MultipartFile plik) {
		this.plik = plik;
	}

	public String getIdentyfikator() {
		return identyfikator;
	}

	public void setIdentyfikator(String identyfikator) {
		this.identyfikator = identyfikator;
	}
	
	

	
	
}
