package dao.commons.criteria;

import org.hibernate.Criteria;

public class HibernateCriterion extends AbstractCriterion
{
  private static final long serialVersionUID = 6268325925149792459L;
 
  private org.hibernate.criterion.Criterion criterion;

  public HibernateCriterion(String path, org.hibernate.criterion.Criterion criterion)
  {
    super(path,null);
    this.criterion = criterion;
  }

  @Override
  public void prepareCriteria(Criteria criteria)
  {
    criteria.add(criterion);
  }

  public org.hibernate.criterion.Criterion getCriterion()
  {
    return criterion;
  }

  public void setCriterion(org.hibernate.criterion.Criterion criterion)
  {
    this.criterion = criterion;
  }  
  
}
