package dao.commons.criteria;

import org.hibernate.Criteria;
import org.hibernate.criterion.Restrictions;

public class NullCriterion extends AbstractCriterion
{
  private static final long serialVersionUID = 5747345219889264025L;

  public NullCriterion(String path, String label )
  {
    super(path, label);
  }


@Override
  public void prepareCriteria(Criteria criteria)
  {
      criteria.add(Restrictions.isNull(getProperty()));
  }



}
