package dao.security;

import java.util.List;

import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import dao.commons.GenericDAO;
import domain.security.AuditRecord;



	
	public interface AuditRecordDAO extends GenericDAO<AuditRecord>
	{
	  public abstract List<AuditRecord> findAll();

	  public AuditRecord getByLogin(String l);

	  public List<AuditRecord> findAllUzytkownicy();

	}

