package dao.security;

import java.util.List;

import org.springframework.stereotype.Repository;

import dao.commons.GenericDAOImpl;
import domain.security.AuditRecord;

@Repository
public class AuditRecordDAOImpl extends GenericDAOImpl<AuditRecord> implements AuditRecordDAO
{
	public List<AuditRecord> findAll(){
		return (List<AuditRecord>) getSessionFactory().getCurrentSession().createQuery("from auditrecord u order by u.timestamp");
	}

	@Override
	public List<AuditRecord> findAllUzytkownicy() {
		return (List<AuditRecord>) getSessionFactory().getCurrentSession().createQuery("from auditrecord u order by u.timestamp"); 
	}

	@Override
	public AuditRecord getByLogin(String login) {
		 List<AuditRecord> lista = getSessionFactory().getCurrentSession().createQuery("from auditrecord where login=:login").setParameter("login", login).list();

		    return lista.size() == 0 ? null : lista.get(0);
	};
	
}