package domain.types;

import java.util.HashMap;
import java.util.Map;

public enum TypLista
{
 
  FAKTURY("Faktury"),
    
  UZYTKOWNIK("Uzytkownik"),
  
  KOMPUTER("Komputer"),
  PROGRAM("Program"),
  SKANER("Skaner"),
  DRUKARKA("Drukarka"),
  INNE("Inne"),
  
  RAPORT_BUDYNEK("RaportBudynek"),
  RAPORT_SPRZET("RaportSprzet"),
  RAPORT_KOMPUTER("RaportKomputer"),
  RAPORT_PROGRAM("RaportProgram"),
  RAPORT_SKANER("RaportSkaner"),
  RAPORT_DRUKARKA("RaportDrukarka"),
  RAPORT_INNE("RaportInne"),
  
  UZGODNIENIA("Uzgodnienia");
    
  private final String                        label;
  private static Map<String, TypLista> actionMap;

  static
  {
    actionMap = new HashMap<String,TypLista>();
    for (TypLista a : TypLista.values())
      actionMap.put(a.label, a);
  }

  private TypLista(String label)
  {
    this.label = label;
  }

  public String getLabel()
  {
    return this.label;
  }

  public static TypLista get(String label)
  {
    return actionMap.get(label);
  }
}
