package service;

import java.util.List;

import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import domain.Uzytkownik;
import domain.commons.Preselection;

@Transactional(propagation = Propagation.REQUIRED)
public interface UzytkownikService 
{

  Uzytkownik get(int id);
  
  List<Uzytkownik> loadAll();
  
  Uzytkownik getInitialized(int id);
  
  public Uzytkownik getByLogin(String login);

  public void liczbaUzytkownikow();
  
  public void zapiszUzytkownik(Uzytkownik uzytkownik);
  
  List<Uzytkownik> findByCriteria(Preselection preselection);
  
  public List<Uzytkownik> findByCriteria(Preselection preselection,boolean ograniczenie);
  
  public Uzytkownik getZalogowanyUzytkownik(); 

}