package service.security;

import java.util.List;

import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import domain.Ksiazka;
import domain.commons.Preselection;
import domain.security.AuditRecord;

@Transactional(propagation = Propagation.REQUIRED)
public interface AuditRecordService
{
	public AuditRecord get(int id);
	public void delete(AuditRecord auditRecord);
	List<AuditRecord> findAll();
	List<AuditRecord> findByCriteria(Preselection preselection);
	public List<AuditRecord> findByCriteria(Preselection preselection,boolean ograniczenie);
}
