package service.security;

import java.util.List;

import org.springframework.security.Authentication;

import commons.security.authentication.event.AuthenticationEventType;

import domain.commons.Preselection;
import domain.security.UwierzytelnianieZdarzenie;

public interface UwierzytelnianieZdarzenieService
{

  void zarejstrujPomyslneZalogowanie(Authentication auth, long timestamp);
  void zarejstrujNiepomyslneZalogowanie(Authentication auth, AuthenticationEventType authType, long timestamp);

  List<UwierzytelnianieZdarzenie> findByCriteria(Preselection preselection);
  public List<UwierzytelnianieZdarzenie> findByCriteria(Preselection preselection,boolean ograniczenie);
  
}
