package baza;

import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.FileSystemXmlApplicationContext;

import service.UzytkownikService;
import dao.AutorDAO;
import dao.KsiazkaDAO;
import dao.SlownikDAO;
import dao.UzytkownikDAO;
import domain.Adres;
import domain.Uzytkownik;

public class Hello {

	public static void main(String[] args) {
		try {

			ApplicationContext ctx = new FileSystemXmlApplicationContext(
					new String[] { "WebContent/WEB-INF/biblioteka-dao.xml", "WebContent/WEB-INF/biblioteka-security.xml"});

			
			System.out.println("start");

			SessionFactory sessionF = (SessionFactory) ctx
					.getBean("hibernateSessionFactory");
			Session session = sessionF.openSession();

			session.close();

			System.out.println("akcja na DAO");

			System.out.println("Zapis uzytkownika");
			UzytkownikDAO uzytkownikDAO = (UzytkownikDAO) ctx.getBean("uzytkownikDAO");
			UzytkownikService uzytkownikService = (UzytkownikService) ctx.getBean("uzytkownikService");

			//Adres adres1 = new Adres (); adres1.setUlica("Niska");
			//adres1.setMiejscowosc("Walewo"); 
			//adres1.setNumerLokalu("11");
			//adres1.setNumerMieszkania("44");
			Uzytkownik uzytkownik1 = new Uzytkownik(); 
			uzytkownik1.setImie("Marek");
			uzytkownik1.setNazwisko("Kaminski"); 
			uzytkownik1.setHaslo("admin");
			uzytkownik1.setLogin("admin");
			uzytkownik1.setAktywny(true);
			uzytkownik1.setOpis("drugi uzytkownik");
			//uzytkownik1.setAdres(adres1); 
			uzytkownikService.zapiszUzytkownik(uzytkownik1);
			 
			//uzytkownikDAO.save(uzytkownik1);
			
			System.out.println("zapisano");
			

			/*
			 * System.out.println("****Wyswietlam liste uzytkownikow****");
			 * ArrayList<Uzytkownik> listaUzytkownikow = (ArrayList<Uzytkownik>)
			 * uzytkownikDAO.loadAll(); if (listaUzytkownikow!= null) {
			 * Iterator<Uzytkownik> iterator = listaUzytkownikow.iterator();
			 * while (iterator.hasNext()) { Uzytkownik uzytkownik2 =
			 * iterator.next(); uzytkownik2.display(); } }
			 * 
			 * System.out.println("\n****Pobrac uzytkownika po ID****");
			 * Uzytkownik us = uzytkownikDAO.get(2); us.display();
			 * 
			 * 
			 * 
			 * System.out.println("\n****Pobrac uzytkownika po ID i displayAll****"
			 * ); Uzytkownik us2 = uzytkownikDAO.getInitialized(2);
			 * us2.displayAll();
			 * 
			 * System.out.println("\n****update uzytkownka****"); Uzytkownik us3
			 * = uzytkownikDAO.get(2); us3.setImie("ImieZmienione");
			 * uzytkownikDAO.update(us3); us3.display();
			 * 
			 * System.out.println("\n****delete uzytkownka****"); Uzytkownik us4
			 * = uzytkownikDAO.get(2); uzytkownikDAO.delete(us4); us4.display();
			 */

			//System.out.println("Zapis ksizki");
			KsiazkaDAO ksiazkaDAO = (KsiazkaDAO) ctx.getBean("ksiazkaDAO");
			SlownikDAO slownikDAO = (SlownikDAO) ctx.getBean("slownikDAO");
			AutorDAO autorDAO = (AutorDAO) ctx.getBean("autorDAO");

			/*
			 * Dzial dzial = new Dzial (); dzial.setNazwa("Horrory");
			 * slownikDAO.save(dzial);
			 * 
			 * 
			 * Wydawnictwo wydawnictwo = new Wydawnictwo();
			 * wydawnictwo.setNazwa("Zysk i spolka");
			 * slownikDAO.save(wydawnictwo);
			 * 
			 * Autor autor1 = new Autor(); autor1.setImie("John");
			 * autor1.setNazwisko("Forsythe"); autorDAO.save(autor1); Autor
			 * autor2 = new Autor(); autor2.setImie("Ian");
			 * autor2.setNazwisko("Blake"); autorDAO.save(autor2); Ksiazka
			 * ksiazka = new Ksiazka(); ksiazka.setDzial(dzial);
			 * ksiazka.setIsbn("12212"); ksiazka.setOpis("horrorowe");
			 * ksiazka.setRokWydania("1999"); ksiazka.setTytul("Nocna wataha");
			 * ksiazka.setWydawnictwo(wydawnictwo); ksiazkaDAO.save(ksiazka);
			 * 
			 * System.out.println("zapisano");
			 */

			/*
			 * Ksiazka ks2 = ksiazkaDAO.getInitialized(2); ks2.displayAll();
			 * 
			 * Autor au1 = autorDAO.getInitialized(1); //au1.displayAll();
			 * 
			 * Autor au2 = autorDAO.getInitialized(2); //au1.displayAll();
			 * 
			 * ks2.getListaAutorow().add(au1); ks2.getListaAutorow().add(au2);
			 * au1.getListaKsiazek().add(ks2); au2.getListaKsiazek().add(ks2);
			 * ksiazkaDAO.update(ks2); autorDAO.update(au1);
			 * autorDAO.update(au2);
			 */

			/*
			 * System.out.println("\n****WYSZUKIWANIE****");
			 * ArrayList<Uzytkownik> listaUzytkownikow = (ArrayList<Uzytkownik>)
			 * uzytkownikDAO .findByNameLike("rzys"); if (listaUzytkownikow !=
			 * null) { Iterator<Uzytkownik> iterator =
			 * listaUzytkownikow.iterator(); while (iterator.hasNext()) {
			 * Uzytkownik uzytkownik2 = iterator.next(); uzytkownik2.display();
			 * } }
			 * 
			 * //fajniejszy sposob niz w findByNameLike z Criteriami
			 * System.out.println("\n****PRESELETION****"); Preselection
			 * preselection = new Preselection(Uzytkownik.class);
			 * preselection.setActive(true); //poniej " " to jinx. Mozna sobie
			 * wyszukac po adresie !! rozwija automatem po powiazanych polach
			 * //tych Criterion a aplikacjach moze byc kilkadziesiat
			 * preselection.getCriteriaList().add(new
			 * StringLikeCriterion("adres.ulica","","Nis"));
			 * preselection.getCriteriaList().add(new
			 * BooleanCriterion("aktywny","",false));
			 * 
			 * 
			 * List<Uzytkownik> lista =
			 * uzytkownikDAO.findByCriteria(preselection);
			 * 
			 * if (lista != null) { Iterator<Uzytkownik> iterator =
			 * lista.iterator(); while (iterator.hasNext()) { Uzytkownik
			 * uzytkownik2 = iterator.next(); uzytkownik2.display(); } }
			 */

			/*
			 * UzytkownikService uzytkownikService = (UzytkownikService)
			 * ctx.getBean("uzytkownikService"); Adres adres1 = new Adres ();
			 * adres1.setUlica("Niska"); adres1.setMiejscowosc("Walewo");
			 * adres1.setNumerLokalu("11"); adres1.setNumerMieszkania("44");
			 * adres1.setWojewodztwo("dmazowieckie"); Uzytkownik uzytkownik1 =
			 * new Uzytkownik(); uzytkownik1.setImie("Krzysztof");
			 * uzytkownik1.setNazwisko("Brzydki"); uzytkownik1.setAktywny(true);
			 * uzytkownik1.setOpis("czwarty uzytkownik");
			 * uzytkownik1.setAdres(adres1); //uzytkownikDAO.save(uzytkownik1);
			 * uzytkownikService.zapiszUzytkownik(uzytkownik1);
			 */

			/*
			 * Dzial dzial = new Dzial(); dzial.setNazwa("komedie");
			 * slownikDAO.save(dzial);
			 * 
			 * Dzial dzial1 = new Dzial(); dzial1.setNazwa("fantasy");
			 * slownikDAO.save(dzial1);
			 * 
			 * Dzial dzial2 = new Dzial(); dzial2.setNazwa("romanse");
			 * slownikDAO.save(dzial2);
			 * 
			 * Dzial dzial3 = new Dzial(); dzial3.setNazwa("techniczne");
			 * slownikDAO.save(dzial3);
			 * 
			 * Wydawnictwo wyd = new Wydawnictwo();
			 * wyd.setNazwa("Wydawnictwo Naukowe"); slownikDAO.save(wyd);
			 * 
			 * Wydawnictwo wyd2 = new Wydawnictwo();
			 * wyd2.setNazwa("Fantasy i spolka "); slownikDAO.save(wyd2);
			 * 
			 * Wydawnictwo wyd3 = new Wydawnictwo();
			 * wyd3.setNazwa("Wydawnistwo wesole"); slownikDAO.save(wyd3);
			 * 
			 * Preselection preselection = new Preselection (Dzial.class);
			 * preselection.setActive(true); List<Slownik> list =
			 * slownikDAO.findByCriteria(preselection);
			 * 
			 * if (list != null) { Iterator<Slownik> iterator = list.iterator();
			 * while (iterator.hasNext()) { Slownik slo = iterator.next();
			 * System.out.println(slo.getNazwa()); } }
			 * 
			 * Dzial dzial22 = new Dzial(); dzial22 = (Dzial)
			 * slownikDAO.get(30); System.out.println(dzial22.getNazwa());
			 */

			/*Autor autor1 = new Autor();
			autor1.setImie("Anna");
			autor1.setNazwisko("Marchew");
			autorDAO.save(autor1);
			Autor autor2 = new Autor();
			autor2.setImie("Janina");
			autor2.setNazwisko("Wysocka");
			autorDAO.save(autor2);
			Ksiazka ksiazka = new Ksiazka();
			ksiazka.setDzial((Dzial)slownikDAO.get(29));
			ksiazka.setIsbn("6565");
			ksiazka.setOpis("slaba ksiazka");
			ksiazka.setRokWydania("2002");
			ksiazka.setTytul("Chw strusi");
			ksiazka.setWydawnictwo((Wydawnictwo)slownikDAO.get(33));
			ksiazkaDAO.save(ksiazka);
			
			Ksiazka ksiazka2 = new Ksiazka();
			ksiazka2.setDzial((Dzial)slownikDAO.get(28));
			ksiazka2.setIsbn("32556");
			ksiazka2.setOpis("nic ciekawego");
			ksiazka2.setRokWydania("1985");
			ksiazka2.setTytul("Jak i gdzie i po co");
			ksiazka2.setWydawnictwo((Wydawnictwo)slownikDAO.get(48));
			ksiazkaDAO.save(ksiazka2);*/
			
			//KsiazkaService ksiazkaService = (KsiazkaService) ctx.getBean("ksiazkaService");
			/*
			ksiazkaService.dodajAutora(23, 24);
			ksiazkaService.dodajAutora(24, 24);*/
			
			/*System.out.println ("wypozyczam ");
			ksiazkaService.wypozycz(24, 3);
			
			System.out.println ("dostepna: "+ksiazkaService.isDostepna(ksiazkaService.get(24)));
			
			System.out.println ("oddaje ");
			ksiazkaService.oddaj(24, 3);
			System.out.println ("dostepna: "+ksiazkaService.isDostepna(ksiazkaService.get(24)));*/
			
			//System.out.println (ksiazkaService.getInitialized(22).getDataOstatniegoWypozyczenia());
			
			
			System.out.println("zrobione");
			
			
			
			
			
			
			

		} catch (Exception e) {
			e.printStackTrace(System.err);
		}
	}

}
